Subject: bug#36922: [PATCH] Add defalias toolbar-mode for tool-bar-mode

From: Drew Adams <[email-masked]>
Date: Sun, 4 Aug 2019 19:23:36 -0700 (PDT)

> OK, so this is very minor, but:
> 
> I can never remember that it's called tool-bar-mode, and not toolbar-
> mode.  This
> is not often an annoyance, but it hits me every time I'm on "emacs -Q"
> or
> similar.  (I type "M-x toolb TAB TAB TAB", have a revelation and then,
> "DEL -bar TAB".)
> 
> Both "toolbar" and "tool bar" are valid spellings AFAICT.
> 
> I suggest to introduce a new (defalias 'toolbar-mode 'tool-bar-mode) to
> accommodate users who are used to either spelling.

FWIW, I disagree that we should do this.

We should pick one name and try to stick with it.

We've picked one, I think (`tool-bar').  A quick
count with stuff I've loaded shows ~4 times as many
functions with `tool-bar' in the name as with `toolbar'
in the name.  So yeah, we have both.

For `filename' vs `file-name' in function names, we
have about twice as many of the latter, but, again,
we have both.

That's bad enough.  Now imagine if we started aliasing
all of those.  And toolbar and filename are just the
tip of the iceberg.

Better to be pretty consistent in our names, and IF
(big if) we end up with some inconsistency then
either (1) fix it (renaming, deprecating old names,
creating aliases for backward-compatibility) or (2)
maybe build some tolerance of different forms into
UI functions (e.g. reading function/variable names,
apropos, help commands).

Just one opinion.